!=================================================================!
! Driver for SAXPY / DAXPY                                        !
! y <--- a * x + y                                                !
!-----------------------------------------------------------------!
! Last updated : Mon. November 9, 2015                            !
!=================================================================!
      program main_driver
      use  globalmod_accuracy

      implicit none
      include 'mpif.h'
      integer                                    :: n,nsize
      real(KIND=idp)                             :: a
      real(KIND=idp), dimension(:), allocatable  :: x,y


      nsize = 1024
      ALLOCATE( x(1:nsize), y(1:nsize) )

! Initialize arrays x(:) and y(:)
      do n = 1, nsize
         x(n) = SIN( dble(n)*0.5_idp )
         y(n) = COS( dble(n+n)*0.25_idp )
      end do 

! call DAXPY
      call daxpy(a,nsize,x,y)

      write(*,'(5x,es22.15)') y

      end program main_driver
